OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - e -

- EA_MULTIPLIER : IndustryViewWindow
- EA_NONE : IndustryViewWindow
- EA_RATE : IndustryViewWindow
- east : RoadStop
- easy_value : ScriptConfigItem
- economy : GameSettings , DifficultySettings , NewsSettings
- Edge() : LinkGraph::Edge , LinkGraphJob::Edge
- edge : LinkGraph::EdgeWrapper< Tedge >
- edge_annos : LinkGraphJob::Node
- EdgeIterator() : LinkGraph::EdgeIterator , LinkGraphJob::EdgeIterator
- edges : LinkGraph , LinkGraphJob , LinkGraph::NodeWrapper< Tnode, Tedge >
- EdgeWrapper() : LinkGraph::EdgeWrapper< Tedge >
- edit_max_hl : Cheats
- Editability : IndustryViewWindow
- editable : IndustryViewWindow , NewGRFParametersWindow , NewGRFWindow , NWidgetNewGRFDisplay
- editbox : QueryStringWindow
- editbox_line : IndustryViewWindow
- EDITBOX_MAX_SIZE : NetworkContentListWindow
- EditBoxLostFocus() : VideoDriver_Cocoa , VideoDriver , VideoDriver_Win32
- effect_vol : MusicSettings
- EffectiveSupply() : SymmetricScaler , AsymmetricScaler
- EffectVehicle() : EffectVehicle
- EliminateCycle() : MCF1stPass
- EliminateCycles() : MCF1stPass
- EMPTY : GRFTempEngineData
- empty_sharesmap : FlowStat
- enable_signal_gui : GUISettings
- enabled : HouseSpec , BuildIndustryWindow , IndustrySpec , IndustryTileSpec , AirportSpec , AirportTileSpec , ObjectSpec
- EnableWidget() : Window
- Encode() : Blitter_32bppOptimized , Blitter_32bppSimple , Blitter_8bppOptimized , Blitter_8bppSimple , Blitter , Blitter_Null
- End() : FileList , LinkGraph::ConstNode , LinkGraph::Node , LinkGraphJob::Node , CBinaryHeapT< T > , ClientNetworkContentSocketHandler , CargoDataEntry
- end : MakeEnumPropsT< Tenum_t, Tstorage_t, Tbegin, Tend, Tinvalid, Tnum_bits > , TinyEnumT< Tenum_t > , StringListReader , GraphEdgeIterator , FlowEdgeIterator , LegendAndColour
- END : StringIterator
- End() : SmallVector< T, S >
- end_of_life_date : ObjectSpec
- EndCritical() : ThreadMutex , ThreadMutex_None , ThreadMutex_OS2 , ThreadMutex_pthread , ThreadMutex_Win32
- EndOf() : SmallStackSafeStackAlloc< T, length >
- EndStruct() : DumpTarget
- engclass : RailVehicleInfo
- engine : ScriptInfo , ScriptInstance , ScriptScanner
- engine_renew : CompanySettings
- engine_renew_list : Company
- engine_renew_money : CompanySettings
- engine_renew_months : CompanySettings
- engine_type : Vehicle
- engines : ReplaceVehicleWindow
- english : LangString
- EnsureSelectedObjectClassIsVisible() : BuildObjectWindow
- Enter() : RoadStop , RoadStop::Entry
- entity_id : EntityIDMapping
- entries : SettingsContainer
- Entry() : RoadStop::Entry
- entry_points : AirportFTAClass
- enum_type : TinyEnumT< Tenum_t >
- ep : CrashLogWindows
- equal_range() : MultiMap< Tkey, Tvalue, Tcompare >
- Equals() : Order
- Erase() : SmallMap< T, U, S >
- erase() : MultiMap< Tkey, Tvalue, Tcompare >
- Erase() : SmallMap< T, U, S > , SmallVector< T, S >
- EraseColumn() : SmallMatrix< T >
- EraseColumnPreservingOrder() : SmallMatrix< T >
- EraseFlows() : LinkGraphJob
- ErasePreservingOrder() : SmallVector< T, S >
- EraseRow() : SmallMatrix< T >
- EraseRowPreservingOrder() : SmallMatrix< T >
- err_build_road : RoadTypeInfo
- err_build_station : RoadTypeInfo
- err_depot : RoadTypeInfo
- err_remove_road : RoadTypeInfo
- err_remove_station : RoadTypeInfo
- errmsg_duration : GUISettings
- error : GRFConfig , LoadCheckData , SaveLoadParams
- error_data : LoadCheckData
- error_str : SaveLoadParams
- ErrorMessageData() : ErrorMessageData
- ErrorPrintFunc() : Squirrel
- EstimateDestinations() : StationViewWindow
- et : ExpensesList
- event : ThreadMutex_OS2 , ThreadMutex_Win32
- event_data : ScriptStorage
- excluded_data : BaseGraphWindow
- exclusive_counter : Town
- exclusive_rights : EconomySettings
- exclusivity : Town
- execute : NewGRFWindow
- Exit() : ThreadObject_Win32 , ThreadObject_pthread , ThreadObject , ThreadObject_MorphOS , ThreadObject_OS2
- expand_shrink_width : StationViewWindow
- expanded_rows : StationViewWindow
- EXPECTED_FACIL : SpecializedStation< T, Tis_waypoint >
- EXPECTED_TYPE : SpecializedVehicle< T, Type >
- expense_type : CommandCost
- expenses : CompanyEconomyEntry
- expenses_layout : GUISettings
- extend_left : VehicleCellSize
- extend_right : VehicleCellSize
- extend_vehicle_life : VehicleSettings
- extension : ScreenshotFormat
- ExternalSearchDisclaimerCallback() : NetworkContentListWindow
- extra_dynamite : ConstructionSettings
- extra_flags : HouseSpec
- extra_msg : SaveLoadParams
- extra_tree_placement : ConstructionSettings